# PSF-LoginServer - master - net.psforever.types.SpawnGroup
PSF - LoginServer - master - net.psforever.types.SpawnGroup
Keywords: PSF LoginServer master net.psforever.types.SpawnGroup

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package types
  Definition Classes
    psforever
- Angular
- BailType
- CapacitorStateType
- CargoStatus
- CharacterSex
- CharacterVoice
- ChatMessageType
- DriveState
- EmoteType
- ExoSuitType
- GrenadeState
- HartSequence
- ImplantType
- LazeWaypoint
- LoadoutType
- MeritCommendation
- OxygenState
- PlanetSideEmpire
- PlanetSideGUID
- PlanetSideGeneratorState
- SpawnGroup
- SquadRequestType
- SquadResponseType
- SquadWaypoint
- StalePlanetSideGUID
- StandardWaypoint
- TransactionType
- ValidPlanetSideGUID
- Vector3
- WaypointSubtype

c

net.psforever.types

# SpawnGroup 

###
Companion object SpawnGroup

#### sealed abstract class SpawnGroup extends IntEnumEntry

The spawn group.
The groups `Sanctuary`, `Tower`, and ,`Facility` are typically hard-defined by the client. The groups `AMS` and the `Bound*` spawns can only be displayed on the deployment map by sending a manual `BindPlayerMessage` packet to the client, and the designated spawn group identifier is returned to the server if the spawn point that is created is selected. The sanctuary spawn is also used as a fallback for an unknown spawn point as going back to one's own sanctuary counts as a "safe spawn."
The `Sanctuary` spawn is commonly accessible on a smaller map (of the sanctuary continent) off to one side of the greater deployment map. It does not generate an icon when manually set. The icons produced by the normal and the bound tower and facility groups are not detailed. The ones that are not designated as "bound" also do not display icons when manually set. The AMS spawn group icons have an overhead AMS glyph and are smaller in radius, identical otherwise.

Source
  SpawnGroup.scala
See also

  `BindPlayerMessage`

Linear Supertypes
IntEnumEntry, ValueEnumEntry[Int], AnyRef, Any
Known Subclasses
AMS, BoundAMS, BoundFacility, BoundTower, Facility, Sanctuary, Tower, Unknown10, Unknown11, Unknown3, Unknown8, Unknown9, WarpGate

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SpawnGroup
2. IntEnumEntry
3. ValueEnumEntry
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  val value: Int
    Definition Classes
      SpawnGroup → ValueEnumEntry
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from IntEnumEntry

### Inherited from ValueEnumEntry[Int]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped